require 'faraday'
require 'multi_json'

module BrocadeVRouter
  autoload 'Client', 'brocade_vrouter/client'
  autoload 'Config', 'brocade_vrouter/config'
  autoload 'Configuration', 'brocade_vrouter/configuration'
  autoload 'Configurator', 'brocade_vrouter/configurator'
  autoload 'PathBuilder', 'brocade_vrouter/path_builder'

  RequestError = Class.new StandardError

  def self.config
    @config ||= Config.new
  end

  def self.configure
    yield config
  end
end
